SHUF(1)

NUME
shuf - generează permutări aleatorii

SINOPSIS
shuf [OPȚIUNE]... FIȘIER]
shuf -e [OPȚIUNE]... [ARG]...
shuf -i LO-HI [OPȚIUNE]...

DESCRIERE

Scrie o permutare aleatorie a liniilor de intrare la ieșirea standard.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-e, --echo
    tratează fiecare ARGUMENT ca pe o linie de intrare

-i, --input-range=MIN-MAX
    tratează fiecare număr de la MIN la MAX ca pe o linie de intrare

-n, --head-count=NUMĂR
    afișează cel mult NUMĂR de linii

-o, --output=FIȘIER
    scrie rezultatul în FIȘIER în loc de la ieșirea standard

--random-source=FIȘIER
    preia aleator octeți din FIȘIER

-r, --repeat
    liniile de ieșire pot fi repetate

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

AUTOR
Scris de Paul Eggert.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/shuf>
sau local rulând comanda: «info '(coreutils) shuf invocation'»

Împachetat de Debian (9.7-2)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.